Bug 216947 - Review Request: perl-Gtk2-Notify - Gtk2::Notify Perl module
Review Request: perl-Gtk2-Notify - Gtk2::Notify Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Gtk2-Notify/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-22 15:20 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 13:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-22 15:20:21 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify-0.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify.spec

Description:
Perl bindings to libnotify.  This module will allow one to use the notify
functionality from within a perl application.
Comment 1 Chris Weyl 2006-11-22 15:24:59 EST
Tests now conditionalized -- they tend to die horribly under mock due to the
lack of $DISPLAY.

SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify-0.02-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify.spec
Comment 2 Parag AN(पराग) 2006-11-23 23:21:23 EST
I just had a look for Source URL and found given source download link is not
working.
Comment 3 Chris Weyl 2006-11-24 01:14:16 EST
Ok, that's weird.

It is working from the by-authors perspective; I'll update the spec to use this one.

http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-Notify-0.02.tar.gz

Comment 4 Parag AN(पराग) 2006-11-25 12:44:46 EST
Till you take time to update new SRPM here comes review
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and but NOT for RPMS.
  But those warnings are ignored.
+ source files match upstream.
77a64c944cf1516bcc514456de22a82b  Gtk2-Notify-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 5 Parag AN(पराग) 2006-11-25 12:52:02 EST
I checked md5 against Source URL you provided. I can approve this package if you
are going to include new source url while importing this package or submit new
one . Will check it and then actually approve this package.
Comment 6 Chris Weyl 2006-11-27 11:48:36 EST
Updated with new source url:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify-0.02-3.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify.spec
Comment 7 Parag AN(पराग) 2006-11-27 11:56:29 EST
You forget to add version in Changelog entry. rpmlint is complaining for it now.
Comment 8 Chris Weyl 2006-11-27 12:10:07 EST
Fixed.

SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Notify.spec
Comment 9 Parag AN(पराग) 2006-11-27 12:20:12 EST
Thanks
Comment 10 Chris Weyl 2006-11-27 13:52:00 EST
Imported into cvs, branches requested, and building for devel.

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.